"""
A set of `invoke` helper commands used for this project.
"""
from invoke import task

@task
def start_rabbit(c):
    """Runs the RabbitMQ integration environment."""
    print("Starting RabbitMQ")
    c.run("docker compose -f docker-compose-rabbit.yml up -d")

@task
def stop_rabbit(c):
    """Stops the RabbitMQ integration environent."""
    print("Stopping RabbitMQ")
    c.run("docker compose -f docker-compose-rabbit.yml down")

@task
def start_redis(c):
    """Runs the Redis integration environment."""
    print("Starting Redis")
    c.run("docker compose -f docker-compose-redis.yml up -d")

@task
def stop_redis(c):
    """Stops the Redis integration environent."""
    print("Stopping Redis")
    c.run("docker compose -f docker-compose-redis.yml down")